<div class="tab combat" data-group="primary" data-tab="combat">
    {{!-- Tab for combat actions --}}
    <div class="row">
        <div class="column">
            <div class="grid-2col-combat">
                <div class="flexrow flex-group-left">{{localize 'OD6S.ACTION_PENALTIES'}}</div>
                <div class="flexrow flex-group-center">{{getActionPenalties actor.actions.length}}D</div>
                <div class="flexrow flex-group-left">{{localize 'OD6S.STRENGTH_DAMAGE_BONUS'}}</div>
                <div class="flexrow flex-group-center">
                    {{diceFromScore data.strengthdamage.score}}D+{{pipsFromScore data.strengthdamage.score}}
                </div>
            </div>
            <div class="grid-4col-resistance">
                <div class="flexrow flex-group-left">{{localize 'OD6S.PHYSICAL_RESISTANCE'}}</div>
                <div class="flex-group-center rolldialog"
                     data-score="{{data.pr.score}}"
                     data-label="{{localize 'OD6S.PHYSICAL_RESISTANCE'}}"
                     data-type="resistance"
                     data-dtype="{{ data.pr.type }}">
                    <b>{{diceFromScore data.pr.score }}</b>D+<b>{{pipsFromScore data.pr.score }}</b>
                </div>
                <div class="flexrow flex-group-left">{{localize 'OD6S.ENERGY_RESISTANCE'}}</div>
                <div class="flex-group-center rolldialog"
                     data-score="{{data.er.score}}"
                     data-label="{{localize 'OD6S.ENERGY_RESISTANCE'}}"
                     data-type="resistance"
                     data-dtype="{{ data.er.type }}">
                    <b>{{diceFromScore data.er.score }}</b>D+<b>{{pipsFromScore data.er.score }}</b>
                </div>
            </div>
        </div>
        <div class="column">
            <div class="grid-2col-combat">
                <div class="flexrow flex-group-left">{{localize 'OD6S.WOUND_PENALTIES'}}</div>
                <div class="flexrow flex-group-center">{{getWoundPenalties actor}}D</div>
                <div class="flexrow flex-group-left">{{localize 'OD6S.INITIATIVE'}}</div>
                <div class="flex-group-center"
                     data-score="{{getInitiative actor}}"
                     data-label="{{localize 'OD6S.INITIATIVE'}}"
                     data-type="initiative">
                    {{diceFromScore (getInitiative actor)}}D+{{pipsFromScore (getInitiative actor) }}
                </div>
            </div>
            <div class="defense-grid">
                <div class="flexrow flex-group-left edit-dodge">
                    <label for="dodge">{{ localize 'OD6S.DODGE' }}:</label>
                    <input title="{{localize 'OD6S.DODGE'}}" name="data.dodge.score"
                           value="{{data.dodge.score}}"
                           placeholder="{{ data.dodge.score }}"
                           id="data.dodge.score"
                           onfocus="this.value=''" type="number" maxlength="2" size="2"/>
                </div>
                <div class="flexrow flex-group-left edit-parry">
                    <label for="parry">{{ localize 'OD6S.PARRY' }}:</label>
                    <input title="{{localize 'OD6S.PARRY'}}" name="data.parry.score"
                           value="{{data.parry.score}}"
                           placeholder="{{data.parry.score}}"
                           id="data.parry.score"
                           onfocus="this.value=''" type="number" maxlength="2" size="2"/>
                </div>
                <div class="flexrow flex-group-left edit-block">
                    <label for="block">{{ localize 'OD6S.BLOCK' }}:</label>
                    <input title="{{localize 'OD6S.BLOCK'}}" name="data.block.score"
                           value="{{data.block.score}}"
                           placeholder="{{data.block.score}}"
                           id="data.block.score"
                           onfocus="this.value=''" type="number" maxlength="2" size="2"/>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="column">
            <div class="flexrow flex-group-center">
                <b>{{ localize 'OD6S.AVAILABLE_ACTIONS'}}</b>
            </div>
            <div class="row">
                <div class="column">
                    <ul class="availableaction">
                        {{#each data.attributes as |attribute key|}}
                            {{#if (ne key 'met') }}
                                <li class="availableaction attribute-action">
                                    <div class="flexrow flex-group-left combat-action"
                                         data-type="attribute"
                                         data-name="{{getAttributeName key}}"
                                         data-rollable="true"
                                         title="{{getAttributeName key}}"
                                         data-id="{{ key }}">
                                        {{getAttributeName key}}
                                    </div>
                                </li>
                                <div class="skill availableaction skill-action">
                                    <ul class="availableaction skill-list">
                                        {{#each ../actor.skills as |skill skillkey|}}
                                            {{#if (eq skill.data.attribute key) }}
                                                <li class="availableaction skill-list">
                                                    <div class="flexrow flex-group-left combat-action"
                                                         data-type="skill"
                                                         data-name="{{ skill.name }}"
                                                         data-rollable="true"
                                                         title="{{ skill.name }}"
                                                         data-id="{{ skill._id }}">
                                                        {{ skill.name }}
                                                    </div>
                                                </li>
                                                <div class="specialization availableaction specialization-action">
                                                    <ul class="availableaction specialization-list">
                                                        {{#each ../../actor.specializations as |spec speckey|}}
                                                            {{#if (eq spec.data.data.skill skill._id) }}
                                                                <li class="availableaction specialization-list">
                                                                    <div class="flexrow flex-group-left combat-action"
                                                                         data-type="specialization"
                                                                         data-name="{{ spec.name }}"
                                                                         data-rollable="true"
                                                                         title="{{ spec.name }}"
                                                                         data-id="{{ spec._id }}">
                                                                        <i>{{ spec.name }}</i>
                                                                    </div>
                                                                </li>
                                                            {{/if}}
                                                        {{/each}}
                                                    </ul>
                                                </div>
                                            {{/if}}
                                        {{/each}}
                                    </ul>
                                </div>
                            {{/if}}
                        {{/each}}
                    </ul>
                </div>
                <div class="column">
                    <ul class="availableaction">
                        {{# each (getActions) as |action key|}}
                            <li class="availableaction">
                                <div class="flexrow flex-group-left combat-action"
                                     data-type="{{ action.type }}"
                                     data-name="{{ action.name }}"
                                     data-rollable="{{action.rollable}}"
                                     title="{{localize 'OD6S.ACTION_TOOLTIP'}}"
                                     data-id="">
                                    {{localize action.name}}
                                </div>
                            </li>
                            {{#if (eq action.name 'OD6S.ACTION_RANGED_ATTACK') }}
                                {{#each ../actor.weapons as |weapon key|}}
                                    {{#if (eq weapon.data.subtype (localize 'OD6S.RANGED'))}}
                                        <li class="availableaction">
                                            <div class="flexrow flex-group-left combat-action indent"
                                                 data-type="rangedattack"
                                                 data-name="{{weapon.name}}"
                                                 data-rollable="{{action.rollable}}"
                                                 title="{{localize 'OD6S.ACTION_TOOLTIP'}}"
                                                 data-id="{{weapon._id}}">
                                                <i>{{weapon.name}}</i>
                                            </div>
                                        </li>
                                    {{/if}}
                                {{/each}}
                            {{/if}}
                            {{#if (eq action.name 'OD6S.ACTION_MELEE_ATTACK') }}
                                {{#each ../actor.weapons as |weapon key|}}
                                    {{#if (eq weapon.data.subtype (localize 'OD6S.MELEE'))}}
                                        <li class="availableaction" data-type="action" data-name="{{weapon.name}}">
                                            <div class="flexrow flex-group-left combat-action indent"
                                                 data-type="meleeattack"
                                                 data-name="{{weapon.name}}"
                                                 data-rollable="{{action.rollable}}"
                                                 title="{{localize 'OD6S.ACTION_TOOLTIP'}}"
                                                 data-id="{{weapon._id}}">
                                                <i>{{weapon.name}}</i>
                                            </div>
                                        </li>
                                    {{/if}}
                                {{/each}}
                            {{/if}}
                            {{#if (eq action.name 'OD6S.ACTION_PARRY') }}
                                {{#each ../actor.weapons as |weapon key|}}
                                    {{#if (eq weapon.data.subtype (localize 'OD6S.MELEE'))}}
                                        <li class="availableaction" data-type="parry" data-name="{{weapon.name}}">
                                            <div class="flexrow flex-group-left combat-action indent"
                                                 data-type="parry"
                                                 data-name="{{weapon.name}}"
                                                 data-rollable="{{action.rollable}}"
                                                 title="{{localize 'OD6S.ACTION_TOOLTIP'}}"
                                                 data-id="{{weapon._id}}">
                                                <i>{{weapon.name}} ({{localize 'OD6S.PARRY'}})</i>
                                            </div>
                                        </li>
                                    {{/if}}
                                {{/each}}
                            {{/if}}
                        {{/each}}
                    </ul>
                </div>
            </div>
        </div>
        <div class="column">
            <div class="flexrow flex-group-center grid-3col-combat">
                <div class="flexrow flex-group-center"><b>{{localize 'OD6S.ACTIONS'}}</b></div>
                <div class="flexrow flex-group-center">
                    <a class="addaction"
                       title="{{localize 'OD6S.ADD_ACTION'}}">
                        <i class="fas fa-plus-square"></i></a>
                </div>
                <div class="flexrow flex-group-center">{{#if actor.actions.length }}
                    {{actor.actions.length}}{{else}}0{{/if}}</div>
            </div>
            <div>
                <ul class="assigned-action-list">
                    {{#each actor.actions as |action key|}}
                        <li class="assignedaction item" data-item-id="{{action._id}}">
                            <div class="grid grid-2col-combat">
                                <div class="flexrow flex-group-left {{#if
                                        (eq action.data.rollable "true")}}actionroll{{/if}}"
                                     data-item-id="{{action._id}}">
                            {{action.name}}{{#if (eq action.data.subtype "parry")}}  ({{localize 'OD6S.PARRY'}}){{/if}} </div>
                                <div class="flexrow flex-group-center item-delete item-control"
                                     data-type="action"
                                     data-item-id="{{action._id}}"
                                     data-confirm="false">
                                    <a><i class="fas fa-trash"></i></a>
                                </div>
                            </div>
                        </li>
                    {{/each}}
                </ul>
            </div>
        </div>
    </div>
</div>
